Subject: Re: bug#20484: 25.0.50; Directory tracking in ansi-term broken.

From: Glenn Morris <[email-masked]>
Date: Fri, 01 May 2015 22:43:52 -0400

Glenn Morris wrote:

> Instead I find commit beaab89896 ("Stop messing with the EMACS env var")
> causes this. But that was just a quick experiment, not a proper bisection.

You should be able to verify this by using eg

EMACS='24.5.1 (term:0.96)' emacs -Q -f ansi-term

and seeing that it works again.

I don't get
http://lists.gnu.org/archive/html/emacs-devel/2015-03/msg01034.html

It's just going to break things for anybody running any released version
of bash (as predicted in the preceding message). It will be a long time
before all the systems Emacs supports default to a suitably recent bash.